> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete the history of that datasource



## OpenAPI

````yaml /api-reference/4.2/service-history-id.json delete /connectors/history/{id}
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service history-id
servers:
  - url: /api/connectors/
security: []
tags:
  - name: connectors
paths:
  /connectors/history/{id}:
    delete:
      tags:
        - 4.2 History ID API
      summary: Delete the history of that datasource
      operationId: removeHistory
      parameters:
        - name: id
          in: path
          description: The datasource name
          required: true
          schema:
            type: string
      responses:
        default:
          description: successful operation

````